module LdapManager
  class UpdateEmailPassword < LdapManagerService
    def initialize(dn:, password_hash:)
      @dn = dn
      @password_hash = password_hash
    end

    def call
      replace_attribute @dn, :mailpassword, @password_hash
    end
  end
end
